Bug 58588 - Remove extras/juli from Tomcat 9 build and deliveries as Log4J 1.x has reached EOL.
Summary: Remove extras/juli from Tomcat 9 build and deliveries as Log4J 1.x has reache...
Status: RESOLVED FIXED
Alias: None
Product: Tomcat 9
Classification: Unclassified
Component: Catalina (show other bugs)
Version: unspecified
Hardware: PC All
: P2 enhancement (vote)
Target Milestone: -----
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-05 01:07 UTC by Konstantin Kolinko
Modified: 2017-08-03 07:48 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Kolinko 2015-11-05 01:07:45 UTC
In August 2015 there was an announcement that Apache LogJ 1.x has reached EOL.

Link: http://s.apache.org/Wzn

As such, I propose to drop building and providing
extras/tomcat-juli.jar
extras/tomcat-juli-adapters.jar

as main goal for these libraries is to support plugging Log4J 1.x directly into Apache Commons Logging layer of Tomcat logging.

In my understanding Log4J 2, Logback can be plugged directly into java.util.logging layer. Though our documentation does not yet describe this.
Comment 1 Mark Thomas 2016-05-25 11:11:28 UTC
Fixed in 9.0.x for 9.0.0.M7 onwards with no plans to backport.
Comment 2 Dan McLaughlin 2017-04-25 10:27:05 UTC
Per the Release Notes for 8.5.4 this bug was fixed in that release, but the README for 8.5.4-8.5.14 still suggests the file is part of the distribution http://apache.claz.org/tomcat/tomcat-8/v8.5.14/README.html.
Comment 3 Dan McLaughlin 2017-04-25 10:29:03 UTC
(In reply to Dan McLaughlin from comment #2)
> Per the Release Notes for 8.5.4 this bug was fixed in that release, but the
> README for 8.5.4-8.5.14 still suggests the file is part of the distribution
> http://apache.claz.org/tomcat/tomcat-8/v8.5.14/README.html.

Correction, per the Change Log http://tomcat.apache.org/tomcat-8.5-doc/changelog.html this bug was fixed in 8.5.4.
Comment 4 Guillermo Grandes 2017-05-01 20:54:51 UTC
(In reply to Konstantin Kolinko from comment #0)
> In August 2015 there was an announcement that Apache LogJ 1.x has reached
> EOL.
> 
> Link: http://s.apache.org/Wzn
> 
> As such, I propose to drop building and providing
> extras/tomcat-juli.jar
> extras/tomcat-juli-adapters.jar
> 
> as main goal for these libraries is to support plugging Log4J 1.x directly
> into Apache Commons Logging layer of Tomcat logging.
> 
> In my understanding Log4J 2, Logback can be plugged directly into
> java.util.logging layer. Though our documentation does not yet describe this.

Configuring Tomcat for use Log4J2 don't work 100%: log4j2 with jul-bridge + java.util.logging.manager=org.apache.logging.log4j.jul.LogManager, don't seem to provide same features as "org.apache.juli.ClassLoaderLogManager".
Comment 5 Mark Thomas 2017-08-03 07:48:58 UTC
Dan,

Thanks for the report. The content of the READMEs has been updated for 8.5.21 onwards. I'll update the current release manually and try and remember to do the same for 8.5.20.


Guillermo,

If you are having difficulties with using Log4J2, the users list is the place to seek help. If a specific feature is identified as missing then a Bugzilla enhancement request can be opened if appropriate.